## libprelude 1.0.0

=== debian/changelog ===
libprelude (1.0.0-11.7ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Do not use quilt dh helper, as the package is 3.0 (quilt) format.
    - Enable parallel build.
    - Link test-cond, test-lock, and test-tls with -Wl,--no-as-needed.
    - Switch build depends from transitional libgnutsl28-dev to libgnutls-dev
    - Renamed library for gcc5 transition libprelude2 -> libprelude2v5

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Feb 2016 09:40:38 +0100

libprelude (1.0.0-11.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS everywhere": add patch swig-perl-lua-comments.patch
    to change comment signs in swig code.
    (Closes: #808395)

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Dec 2015 23:02:55 +0100

libprelude (1.0.0-11.6) unstable; urgency=low

  * Non-maintainer upload.
  * Pull and unfuzz 020_Update-to-latest-GnuTLS-API.patch from upstream GIT.
    Closes: #624028

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Jul 2015 13:21:12 +0200

libprelude (1.0.0-11.5ubuntu6) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 10:34:38 +0000

libprelude (1.0.0-11.5ubuntu5) xenial; urgency=medium

  * Fix ftbfs with swig 3, # comments are no longer allowed.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Dec 2015 20:27:30 +0000

libprelude (1.0.0-11.5ubuntu4) wily; urgency=medium

  * debian/control:
    - Switch build depends from transitional libgnutsl28-dev to libgnutls-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 11 Aug 2015 11:53:21 +1200

libprelude (1.0.0-11.5ubuntu3) wily; urgency=medium

  * Renamed library for gcc5 transition libprelude2 -> libprelude2v5

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Jul 2015 15:36:17 +0200

libprelude (1.0.0-11.5ubuntu2) wily; urgency=medium

  * Build for GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jul 2015 12:06:01 +0200

libprelude (1.0.0-11.5ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Do not use quilt dh helper, as the package is 3.0 (quilt) format.
    - Enable parallel build.
    - Link test-cond, test-lock, and test-tls with -Wl,--no-as-needed;

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jul 2015 11:47:35 +0200

libprelude (1.0.0-11.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 5. Closes: #777968.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jul 2015 11:24:04 +0200

libprelude (1.0.0-11.4) unstable; urgency=medium

  * Non-maintainer upload.
  * 010_gnutlsextrainclude.diff: Do not try to #include <gnutls/extra.h> if it
    is not necessary, i.e. when gnutls is new enough (>= 1.2) to ship SRP in
    the main library instead of gnutls-extra.
  * Build and depend on libgnutls28-dev instead of libgnutls-dev.
    Closes: #754771
  * Add a (build-)dependency on libgcrypt20-dev.
    Closes: #745951
  * 016_ppc64el-isnan-tests-fix-for-little-endian-PowerPC.patch from gnulib
    upstream to fix test-isnanl-nolibm failure on ppc64el. (Thanks,
    Mauricio Faria de Oliveira) - This should fix #751822.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 15 Aug 2014 07:28:43 +0200

libprelude (1.0.0-11.3ubuntu4) vivid; urgency=medium

  * Fix build with GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2015 18:05:03 +0100

libprelude (1.0.0-11.3ubuntu3) utopic; urgency=medium

  * libprelude-dev: Build-depend on libgcrypt20-dev and libgnutls28-dev,
    required by libprelude-config.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Aug 2014 10:58:13 +0200

libprelude (1.0.0-11.3ubuntu2) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 13:08:42 +0100

libprelude (1.0.0-11.3ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Do not use quilt dh helper, as the package is 3.0 (quilt) format.
    - Enable parallel build.
    - Fix detection of floating point endianness.  
    - Link test-cond, test-lock, and test-tls with -Wl,--no-as-needed;
  * Build-depend on libgnutls28-dev.
  * Build-depend on libgcrypt20-dev.
  * Fix ftbfs against libgnutls28-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Aug 2014 10:09:37 +0100

libprelude (1.0.0-11.3) unstable; urgency=low

  * Non-maintainer upload.
  * Force swig to regenerate bindings/low-level/perl/Prelude.c by
    removing it before building and in the clean target.
    (Closes: #752333)
  * debian/libprelude-perl.install: Use perl's $Config{vendorarch} instead
    of /usr/lib/perl5. Thanks to Niko Tyni for the patch.
    (Closes: #752334)

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 Aug 2014 19:29:09 +0200

libprelude (1.0.0-11.2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Do not use quilt dh helper, as the package is 3.0 (quilt) format.
    - Enable parallel build.
    - Fix detection of floating point endianness.  
    - Link test-cond, test-lock, and test-tls with -Wl,--no-as-needed;
  
  * Dropped change, applied in Debian:
    - Correctly link against -lpthread as needed to statically link
    pthreads_atfork symbol. (LP: #1262430)
  
 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Jul 2014 15:33:55 +0100

libprelude (1.0.0-11.2) unstable; urgency=medium

  * Non-maintainer upload.
  * New patch: keep-atfork-symbol.patch, taken from ubuntu's package,
    thanks to Adam Conrad and Dimitri John Ledkov. (Closes: #749214)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 25 May 2014 15:58:36 +0200

libprelude (1.0.0-11.1) unstable; urgency=medium

  * Non-maintainer upload. (Closes: #721776)
  * New patch: request_REUSEADDR_before_bind.patch.
  * New patch: test-poll_add_sleep_after_write.patch.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 13 May 2014 15:44:03 +0200

libprelude (1.0.0-11ubuntu4) trusty; urgency=medium

  * Correctly link against -lpthread as needed to statically link

