=== debian/control ===
Source: libprelude
Priority: extra
Section: libs
X-Python-Version: >= 2.5
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
Uploaders: Mickael Profeta <profeta@debian.org>
Build-Depends: debhelper (>= 9),
    dh-autoreconf,
    quilt,
    libgnutls-dev,
    libgcrypt20-dev,
    python-all-dev (>> 2.6.6),
    libperl-dev,
    libltdl-dev,
    pkg-config,
    gawk,
    swig,
    hardening-wrapper
Standards-Version: 3.9.3

Package: libprelude-dev
Section: libdevel
Architecture: any
Depends: libprelude2v5 (= ${binary:Version}), libgnutls-dev, libgcrypt20-dev,
 libltdl3-dev, ${misc:Depends}
Description: Security Information Management System [ Development files ]
 Prelude is a Universal "Security Information Management" (SIM) system.
 Its goals are performance and modularity. It is divided in two main
 parts :
  - the Prelude sensors, responsible for generating alerts, such as
    snort featuring a signature engine, plugins for
    protocol analysis, and intrusion detection plugins, and the Prelude
    log monitoring lackey.
  - the Prelude report server, collecting data from Prelude sensors,
    and generating user-readable reports.
 .
 This package contains the development files for Prelude components.

Package: libprelude2v5
Section: libs
Architecture: any
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libprelude2
Replaces: libprelude2
Description: Security Information Management System [ Base library ]
 Prelude is a Universal "Security Information Management" (SIM) system.
 Its goals are performance and modularity. It is divided in two main
 parts :
  - the Prelude sensors, responsible for generating alerts, such as
    snort sensor, featuring a signature engine, plugins for
    protocol analysis, and intrusion detection plugins, and the Prelude
    log monitoring lackey.
  - the Prelude report server, collecting data from Prelude sensors,
    and generating user-readable reports.
 .
 This package contains the Prelude shared library.

Package: libprelude2-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, libprelude2v5 (= ${binary:Version}), ${perl:Depends}, ${misc:Depends}
Description: Security Information Management System [ Debug symbols ]
 Prelude is a Universal "Security Information Management" (SIM) system.
 Its goals are performance and modularity. It is divided in two main
 parts :
  - the Prelude sensors, responsible for generating alerts, such as
    snort sensor, featuring a signature engine, plugins for
    protocol analysis, and intrusion detection plugins, and the Prelude
    log monitoring lackey.
  - the Prelude report server, collecting data from Prelude sensors,
    and generating user-readable reports.
 .
 This package contains debugging symbols for Prelude shared library.

Package: libprelude-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, libprelude2v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Security Information Management System [ Base library ]
 Prelude is a Universal "Security Information Management" (SIM) system.
 Its goals are performance and modularity. It is divided in two main
 parts :
  - the Prelude sensors, responsible for generating alerts, such as
    snort sensor, featuring a signature engine, plugins for
    protocol analysis, and intrusion detection plugins, and the Prelude
    log monitoring lackey.
  - the Prelude report server, collecting data from Prelude sensors,
    and generating user-readable reports.
 .
 This package contains the perl bindings for Prelude.

Package: python-prelude
Section: python
Architecture: any
Depends: ${python:Depends}, libprelude2v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Security Information Management System [ Base library ]
 Prelude is a Universal "Security Information Management" (SIM) system.
 Its goals are performance and modularity. It is divided in two main
 parts :
  - the Prelude sensors, responsible for generating alerts, such as
    snort sensor, featuring a signature engine, plugins for
    protocol analysis, and intrusion detection plugins, and the Prelude
    log monitoring lackey.
  - the Prelude report server, collecting data from Prelude sensors,
    and generating user-readable reports.
 .
 This package contains the Python bindings for Prelude.
