=== debian/watch ===
# debian watch file
# You can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.prelude-ids.com/en/development/download/index.html \
	/download/releases/libprelude/libprelude-([\d\.]*)\.tar\.gz
