## libprelude 3.1.0

=== debian/changelog ===
libprelude (3.1.0-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with GCC 7. (Closes: #871289)
    - Build-depend on gcc >= 7.
    - Update shlibs to ensure rdeps pull in the new version.

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 28 Aug 2017 00:30:12 +0200

libprelude (3.1.0-0.4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 17 Jul 2017 12:07:24 +0200

libprelude (3.1.0-0.3) experimental; urgency=medium

  * Non-maintainer upload.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Bump debhelper compat level to 10:
    + Drop explicit autoreconf, now part of debhelper standard sequence.
  * Fix arch-dep only build, by fixing an inverted boolean check.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 27 Jun 2017 22:05:21 +0200

libprelude (3.1.0-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Control:
    - Support Build profiles nopython, noperl, nolua and noruby; also build
      the documentation only when building the indep packages (Closes: #838115)
    - Add Replace and Breaks for transition (Closes: #864460)
  * Patches:
    - 007-fix_libprelude-error_hurd.patch: patch for errno on hurd-i386
    - 008-disable_test-poll_on_kfreebsd.patch: Disable test-poll test in
      libmissing on kfreebsd

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Thu, 22 Jun 2017 01:00:00 +0100

libprelude (3.1.0-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add support and dependencies for Python3, Ruby, Lua
  * Add Prelude documentation with gtk-doc
  * Cleanup rules file
    - Clean override_dh_auto_configure and build-core since we use a SWIG up
      to date
    - Clean build-python%, low-level bindings do not exists anymore and
      upstream fix various bugs
    - Clean override_dh_auto_install, python files are now installed in the
      right place
    - Remove override_dh_auto_clean, make clean is now working
  * Remove now unused pycompat file
  * Addition of the upstream signing key
  * Update of watch file
  * Bump version 3.1.0 (Closes: #754773)
    - Bump soname version: C to 23, C++ to 8
    - Patches :
      - Remove unnecessary patches now upstream included them
      - 001-ruby-m4.patch: patch for ruby detection
      - 002-manpages-spelling.patch: Spelling
      - 003-disable_gnulib_test_lock.patch: Known bug on Gnulib Side
      - 004-fix_prelude_tests_timer.patch: Adapt Prelude tests on slow systems
      - 005-fix_pthread_atfork.patch: Fix segfault on recents non x86 systems
      - 006-fix_timegm.patch: Fix for 32bits systems
  * Remove minimal Python version required
  * Control :
    - Standards-Version to 3.9.8
    - Set Homepage field
    - Remove of uneccesary/duplicated Section fields
    - Remove old Breaks: and Replaces:
    - Remove Mickael Profeta from Uploaders (Closes: #838924)
  * Remove .dirs files since they are automatically handled
  * Rewriting of copyright file to fit the machine-readable format
  * Add missing copyright information

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 28 Feb 2017 01:00:00 +0100

libprelude (1.0.0-11.9) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with recent SWIG.
    (Closes: #844897)
  * - Apply patch from Andreas Beckmann to factor out a
      libpreludecpp0 package.
    - Move HTML documentation from libprelude2 to libprelude-dev.
    (Closes: #797161)
  * Switch from -dbg to -dbgsym.
  * Remove generated bindings/lua/PreludeEasy.cxx
    when cleaning to allow building twice in a row.
  * Don't disable PIE.

 -- Adrian Bunk <bunk@debian.org>  Thu, 23 Feb 2017 12:50:44 +0200

libprelude (1.0.0-11.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "please drop the build dependency on hardening-wrapper", which causes
    the package to FTBFS:
    drop hardening-wrapper from debian/control and related variables from
    debian/rules.
    (Closes: #836636)
  * Bring back some hardening via dpkg-buildflags and DEB_BUILD_MAINT_OPTIONS
    in debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Tue, 06 Sep 2016 17:33:46 +0200
