=== debian/control ===
--- 
+++ 
@@ -1,29 +1,33 @@
 Source: libprelude
 Priority: extra
 Section: libs
-X-Python-Version: >= 2.5
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
-Uploaders: Mickael Profeta <profeta@debian.org>
-Build-Depends: debhelper (>= 9),
-    dh-autoreconf,
-    quilt,
-    libgnutls-dev,
+Maintainer: Pierre Chifflier <pollux@debian.org>
+Build-Depends: debhelper (>= 10),
+    dh-python <!nopython>,
+    g++ (>= 4:7),
+    gawk,
+    gem2deb <!noruby>,
     libgcrypt20-dev,
-    python-all-dev (>> 2.6.6),
-    libperl-dev,
+    libgnutls28-dev,
     libltdl-dev,
     pkg-config,
-    gawk,
-    swig,
-    hardening-wrapper
-Standards-Version: 3.9.3
+    liblua5.1-dev <!nolua>,
+    lua5.1 <!nolua>,
+    libperl-dev <!noperl>,
+    python3-all-dev <!nopython>,
+    python-all-dev <!nopython>,
+    ruby-all-dev <!noruby>,
+    swig <!nopython> <!noperl> <!noruby> <!nolua>,
+Build-Depends-Indep: gtk-doc-tools,
+Standards-Version: 4.0.0
+Homepage: https://www.prelude-siem.org/
 
 Package: libprelude-dev
 Section: libdevel
 Architecture: any
-Depends: libprelude2v5 (= ${binary:Version}), libgnutls-dev, libgcrypt20-dev,
- libltdl3-dev, ${misc:Depends}
+Suggests: libprelude-doc
+Depends: libprelude23 (= ${binary:Version}), libpreludecpp8 (= ${binary:Version}), libgnutls28-dev,
+ libgcrypt20-dev, libltdl3-dev, ${misc:Depends}
 Description: Security Information Management System [ Development files ]
  Prelude is a Universal "Security Information Management" (SIM) system.
  Its goals are performance and modularity. It is divided in two main
@@ -37,12 +41,29 @@
  .
  This package contains the development files for Prelude components.
 
-Package: libprelude2v5
-Section: libs
+Package: libprelude-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: Security Information Management System [ Documentation ]
+ Prelude is a Universal "Security Information Management" (SIM) system.
+ Its goals are performance and modularity. It is divided in two main
+ parts :
+  - the Prelude sensors, responsible for generating alerts, such as
+    snort featuring a signature engine, plugins for
+    protocol analysis, and intrusion detection plugins, and the Prelude
+    log monitoring lackey.
+  - the Prelude report server, collecting data from Prelude sensors,
+    and generating user-readable reports.
+ .
+ This package contains the documentation for developers for
+ Prelude components.
+
+Package: libprelude23
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libprelude2
+Breaks: libprelude2
 Replaces: libprelude2
 Description: Security Information Management System [ Base library ]
  Prelude is a Universal "Security Information Management" (SIM) system.
@@ -57,11 +78,11 @@
  .
  This package contains the Prelude shared library.
 
-Package: libprelude2-dbg
-Section: debug
+Package: libpreludecpp8
 Architecture: any
-Depends: ${shlibs:Depends}, libprelude2v5 (= ${binary:Version}), ${perl:Depends}, ${misc:Depends}
-Description: Security Information Management System [ Debug symbols ]
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Security Information Management System [ C++ library ]
  Prelude is a Universal "Security Information Management" (SIM) system.
  Its goals are performance and modularity. It is divided in two main
  parts :
@@ -72,13 +93,14 @@
   - the Prelude report server, collecting data from Prelude sensors,
     and generating user-readable reports.
  .
- This package contains debugging symbols for Prelude shared library.
+ This package contains the Prelude C++ shared library.
 
 Package: libprelude-perl
 Section: perl
 Architecture: any
-Depends: ${perl:Depends}, libprelude2v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: Security Information Management System [ Base library ]
+Depends: ${perl:Depends}, libprelude23 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Build-Profiles: <!noperl>
+Description: Security Information Management System [ Perl bindings ]
  Prelude is a Universal "Security Information Management" (SIM) system.
  Its goals are performance and modularity. It is divided in two main
  parts :
@@ -94,9 +116,10 @@
 Package: python-prelude
 Section: python
 Architecture: any
-Depends: ${python:Depends}, libprelude2v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, libprelude23 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Build-Profiles: <!nopython>
 Provides: ${python:Provides}
-Description: Security Information Management System [ Base library ]
+Description: Security Information Management System [ Python2 bindings ]
  Prelude is a Universal "Security Information Management" (SIM) system.
  Its goals are performance and modularity. It is divided in two main
  parts :
@@ -108,3 +131,61 @@
     and generating user-readable reports.
  .
  This package contains the Python bindings for Prelude.
+
+Package: python3-prelude
+Section: python
+Architecture: any
+Depends: ${python3:Depends}, libprelude23 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Build-Profiles: <!nopython>
+Provides: ${python3:Provides}
+Description: Security Information Management System [ Python3 bindings ]
+ Prelude is a Universal "Security Information Management" (SIM) system.
+ Its goals are performance and modularity. It is divided in two main
+ parts :
+  - the Prelude sensors, responsible for generating alerts, such as
+    snort sensor, featuring a signature engine, plugins for
+    protocol analysis, and intrusion detection plugins, and the Prelude
+    log monitoring lackey.
+  - the Prelude report server, collecting data from Prelude sensors,
+    and generating user-readable reports.
+ .
+ This package contains the Python 3 bindings for Prelude.
+
+Package: ruby-libprelude
+Section: ruby
+Architecture: any
+Depends: libprelude23 (= ${binary:Version}), ${misc:Depends}, ruby,
+ ${shlibs:Depends}
+Build-Profiles: <!noruby>
+Provides: libprelude-ruby
+Description: Security Information Management System [ Ruby bindings ]
+ Prelude is a Universal "Security Information Management" (SIM) system.
+ Its goals are performance and modularity. It is divided in two main
+ parts :
+  - the Prelude sensors, responsible for generating alerts, such as
+    snort sensor, featuring a signature engine, plugins for
+    protocol analysis, and intrusion detection plugins, and the Prelude
+    log monitoring lackey.
+  - the Prelude report server, collecting data from Prelude sensors,
+    and generating user-readable reports.
+ .
+ This package contains the ruby bindings for Prelude.
+
+Package: libprelude-lua
+Architecture: any
+Section: interpreters
+Depends: libprelude23 (= ${binary:Version}), ${misc:Depends}, lua5.1,
+ ${shlibs:Depends}
+Build-Profiles: <!nolua>
+Description: Security Information Management System [ Lua bindings ]
+ Prelude is a Universal "Security Information Management" (SIM) system.
+ Its goals are performance and modularity. It is divided in two main
+ parts :
+  - the Prelude sensors, responsible for generating alerts, such as
+    snort sensor, featuring a signature engine, plugins for
+    protocol analysis, and intrusion detection plugins, and the Prelude
+    log monitoring lackey.
+  - the Prelude report server, collecting data from Prelude sensors,
+    and generating user-readable reports.
+ .
+ This package contains the Lua bindings for Prelude.
