## libprelude 4.1.0

=== debian/changelog ===
libprelude (4.1.0-4) unstable; urgency=medium

  * Fix FTBFS with gcc-8: symbol mismatch (Closes: #892588)
  * d/control: Add multiarch fields

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sun, 11 Mar 2018 20:53:39 +0200

libprelude (4.1.0-3) unstable; urgency=medium

  * Fix FTBFS on x32: symbols mismatch (Closes: #892171)
    Thanks Mattia Rizzolo

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Wed, 7 Mar 2018 23:53:39 +0200

libprelude (4.1.0-2) unstable; urgency=medium

  * Fix migrating from stable (Closes: #892051)
  * Fix symbols file for 32 bit architectures (Closes: #892104)

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 6 Mar 2018 00:30:00 +0200

libprelude (4.1.0-1) unstable; urgency=medium

  * Bump version 4.1.0 (Closes: #891800)
    - New patches:
      011-fix_spelling_error.patch
      012-fix-server_confirm_type.patch (Closes: #689434)
    - Remove unnecessary patches:
      002-manpages-spelling.patch
      003-disable_gnulib_test_lock.patch
      009-update-gtkdoc-files.patch
    - Fix license-problem-non-free-RFC for src/common.c
  * Update d/control
    - Bump to Standards-Version 4.1.3
    - Update Vcs-* to Salsa
    - Update debhelper to 11
    - Split libprelude23 to libprelude23 and libprelude-utils (Closes: #855916)
      This new package handle /etc/prelude dir and prelude-admin binary
    - Update packages description
  * Update d/compat to 11
  * Add symbols files for libprelude23 and libpreludecpp8
  * Update d/copyright: update dates to 2017

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Wed, 28 Feb 2018 09:00:00 +0200

libprelude (3.1.0-1) unstable; urgency=medium

  * Add patch to fix compatibility with GnutLS 3.6 when using prelude-admin
    - 010-fix_compatibility_gnutls_3_6.patch
  * Update d/control
    - Add Thomas Andrejak as uploader
    - Bump to Standards-Version 4.1.1
    - Add Vcs* fields
    - Change Priority from extra to optional
  * Remove trailing whitespaces in d/changelog

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 03 Nov 2017 09:00:00 +0200

libprelude (3.1.0-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Update gtkdoc files to be compatible with gtkdoc-1.26 (Closes: #876591)
    - Update gtk-doc.make and m4/gtk-doc.m4
    - Using https://github.com/GNOME/gtk-doc
  * Add libglib2.0-dev to build-dep-indep because it is required for gtk-doc

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sun, 24 Sep 2017 09:00:00 +0200
