## libprelude 5.1.1

=== debian/changelog ===
libprelude (5.1.1-5) unstable; urgency=medium

  * d/patches
    - Add 020-ruby27.patch (Closes: #954785, #954550)
      Avoid ambiguity in rb_define_virtual_variable call.
  * d/control
    - Bump to Standards-Version 4.5.0

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 23 Mar 2020 12:07:24 +0200

libprelude (5.1.1-4) unstable; urgency=medium

  * d/rules
    - really fix ftbfs with more than one supported
      python3 version (Closes: #944955)

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sun, 17 Nov 2019 12:07:24 +0200

libprelude (5.1.1-3) unstable; urgency=medium

  * Upload to unstable.
  * Add patch 019-fix_path_max_on_hurd.patch to build on Hurd.

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 12 Nov 2019 12:07:24 +0200

libprelude (5.1.1-2) experimental; urgency=medium

  * d/rules
    - Fix ftbfs with more than one supported python3 version
  * d/libpreludecpp symbols
    - Put two symbols as optional for various archs

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 25 Oct 2019 20:53:39 +0200

libprelude (5.1.1-1) experimental; urgency=medium

  * Bump version 5.1.1
    - Bump CPP soname from 8 to 12
    - Update symbols files
    - Remove unnecessary patches:
      014-bump_swig_files_to_swig4.patch
  * d/control
    - Add Rules-Requires-Root
    - Bump to Standards-Version 4.4.1
    - Migrate from debhelper to debhelper-compat

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 11 Oct 2019 20:53:39 +0200

libprelude (5.0.0-1) UNRELEASED; urgency=medium

  * Bump version 5.0.0
    - Bump soname from 23 to 28
      Update symbols files
    - Remove unnecessary patches:
      010-fix_compatibility_gnutls_3_6.patch
      011-fix_spelling_error.patch
      012-fix-server_confirm_type.patch
    - Update still needed patches:
      005-fix_pthread_atfork.patch
    - Add new patches:
      013-disable_gnulib_test_lock.patch
        Disable GNULib non working tests. Fixed in more new version.
      014-bump_swig_files_to_swig4.patch
        Prepare for more recents versions of SWIG.
      015-fix_py38.patch
        Prepare for more recents versions of Python 3
      016-fix_awk_error.patch
        Prepare for more recents versions of AWK
      017-forcing_python_location.patch
        With recents dh_python we need to force debian layout for python
      018-fix_gtkdoc_1.32.patch
        Fix building with GTK-Doc 1.32 (Closes: #939960)
  * Update d/control
    - Bump to Standards-Version 4.4.0
    - Update debhelper to 12
    - Add explicit python dependency for python module
  * Add upstream metadata
  * Update d/compat to 12
  * Remove python2 support (Closes: #936904)

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 13 Sep 2019 09:00:00 +0200

libprelude (4.1.0-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with glibc 2.28; cherrypicked patches attached":
    apply patch from Adam Conrad / Ubuntu:
    014-fix-glibc-gnulib.patch: Cherrypick gnulib fixes for glibc 2.28.
    (Closes: #913179)

 -- gregor herrmann <gregoa@debian.org>  Sun, 02 Dec 2018 11:37:24 +0100

libprelude (4.1.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Hudson-Doyle ]
  * Fix FTBFS when --as-needed is the default.
  * Install C extensions for all supported versions of Python 3.
    Closes: #909721

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Oct 2018 14:42:45 +0100
