=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Section: libs
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Thomas Andrejak <thomas.andrejak@gmail.com>
-Build-Depends: debhelper (>= 11),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
     dh-python <!nopython>,
     g++ (>= 4:7),
     gawk,
@@ -16,11 +17,10 @@
     lua5.1 <!nolua>,
     libperl-dev <!noperl>,
     python3-all-dev <!nopython>,
-    python-all-dev <!nopython>,
     ruby-all-dev <!noruby>,
     swig <!nopython> <!noperl> <!noruby> <!nolua>,
 Build-Depends-Indep: gtk-doc-tools, libglib2.0-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://www.prelude-siem.org/
 Vcs-Browser: https://salsa.debian.org/totol-guest/libprelude
 Vcs-Git: https://salsa.debian.org/totol-guest/libprelude.git
@@ -29,7 +29,7 @@
 Section: libdevel
 Architecture: any
 Suggests: libprelude-doc
-Depends: libprelude23 (= ${binary:Version}), libpreludecpp8 (= ${binary:Version}), libgnutls28-dev,
+Depends: libprelude28 (= ${binary:Version}), libpreludecpp12 (= ${binary:Version}), libgnutls28-dev,
  libgcrypt20-dev, libltdl3-dev, ${misc:Depends}
 Description: Security Information and Events Management system [ Development files ]
  The Prelude Library is a collection of generic functions providing
@@ -61,7 +61,7 @@
  This package contains the documentation for developers for
  Prelude components.
 
-Package: libprelude23
+Package: libprelude28
 Architecture: any
 Multi-Arch: same
 Recommends: prelude-utils
@@ -78,7 +78,7 @@
  .
  This package contains the Prelude shared library.
 
-Package: libpreludecpp8
+Package: libpreludecpp12
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -116,7 +116,7 @@
 Section: perl
 Architecture: any
 Multi-Arch: same
-Depends: ${perl:Depends}, libprelude23 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${perl:Depends}, libprelude28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Build-Profiles: <!noperl>
 Description: Security Information and Events Management system [ Perl bindings ]
  The Prelude Library is a collection of generic functions providing
@@ -130,28 +130,10 @@
  .
  This package contains the perl bindings for Prelude.
 
-Package: python-prelude
-Section: python
-Architecture: any
-Depends: ${python:Depends}, libprelude23 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Build-Profiles: <!nopython>
-Provides: ${python:Provides}
-Description: Security Information and Events Management system [ Python2 bindings ]
- The Prelude Library is a collection of generic functions providing
- communication between the Prelude SIEM suite components. It provides a
- convenient interface for sending alerts to Prelude Manager with transparent
- SSL, failover and replication support, asynchronous events and timer
- interfaces, an abstracted configuration API (hooking at the commandline, the
- configuration line, or wide configuration, available from the Manager), and a
- generic plugin API. It allows you to easily turn your favorite security
- program into a Prelude sensor.
- .
- This package contains the Python 2 bindings for Prelude.
-
 Package: python3-prelude
 Section: python
 Architecture: any
-Depends: ${python3:Depends}, libprelude23 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, libprelude28 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Build-Profiles: <!nopython>
 Provides: ${python3:Provides}
 Description: Security Information and Events Management system [ Python3 bindings ]
@@ -170,7 +152,7 @@
 Section: ruby
 Architecture: any
 Multi-Arch: same
-Depends: libprelude23 (= ${binary:Version}), ${misc:Depends}, ruby,
+Depends: libprelude28 (= ${binary:Version}), ${misc:Depends}, ruby,
  ${shlibs:Depends}
 Build-Profiles: <!noruby>
 Provides: libprelude-ruby
@@ -190,7 +172,7 @@
 Architecture: any
 Multi-Arch: same
 Section: interpreters
-Depends: libprelude23 (= ${binary:Version}), ${misc:Depends}, lua5.1,
+Depends: libprelude28 (= ${binary:Version}), ${misc:Depends}, lua5.1,
  ${shlibs:Depends}
 Build-Profiles: <!nolua>
 Description: Security Information and Events Management system [ Lua bindings ]
