=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CONFIGURE_FLAGS = --without-python2 --enable-easy-bindings

ifeq ($(filter nopython,$(DEB_BUILD_PROFILES)),)
	DH_ADDONS += --with python3
	CONFIGURE_FLAGS += --with-python3=yes
	PY3VERS=$(shell py3versions -vr)
else
	CONFIGURE_FLAGS += --with-python3=no
endif

ifeq ($(filter noperl,$(DEB_BUILD_PROFILES)),)
	CONFIGURE_FLAGS += --with-perl-installdirs=vendor
else
	CONFIGURE_FLAGS += --with-perl=no
endif

ifeq ($(filter noruby,$(DEB_BUILD_PROFILES)),)
	DH_ADDONS += --with ruby
else
	CONFIGURE_FLAGS += --with-ruby=no
endif

ifneq ($(filter nolua,$(DEB_BUILD_PROFILES)),)
	CONFIGURE_FLAGS += --with-lua=no
endif

ifneq ($(filter libprelude-doc,$(shell dh_listpackages)),)
	CONFIGURE_FLAGS += --enable-gtk-doc
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_build: build-core $(PY3VERS:%=build-python%)

build-core:
	dh_auto_build

build-python%:
	cd bindings/python && python$* setup.py build

override_dh_auto_install: install-core $(PY3VERS:%=install-python%)
install-core:
	dh_auto_install
	find . -name "__pycache__" -exec rm -rvf {} +
	find . -name "*.la" -exec sed -i -e 's/^dependency_libs=.*$$/dependency_libs=/g' {} +

install-python%:
	cd bindings/python && python$* setup.py install --root $(CURDIR)/debian/tmp

%:
	dh $@ $(DH_ADDONS)
